Update of /cvsroot/fink/experimental/alexkhansen/10.7/finkinfo/sci
In directory vz-cvs-3.sog:/tmp/cvs-serv32498

Added Files:
        octave-3.2.4.info octave-3.2.4.patch 
Log Message:
Doesn't build yet, and not all of the dependencies are in Lion.
Feel free to play around with it.

--- NEW FILE: octave-3.2.4.patch ---
diff -Nurd -x'*~' octave-3.0.5.orig/src/DLD-FUNCTIONS/__glpk__.cc 
octave-3.0.5/src/DLD-FUNCTIONS/__glpk__.cc
--- octave-3.0.5.orig/src/DLD-FUNCTIONS/__glpk__.cc     2009-01-16 
01:46:23.000000000 -0500
+++ octave-3.0.5/src/DLD-FUNCTIONS/__glpk__.cc  2010-10-15 17:50:25.000000000 
-0400
@@ -59,8 +59,20 @@
 
 #else
 
-void _glp_lib_print_hook (int (*func)(void *info, char *buf), void *info);
-void _glp_lib_fault_hook (int (*func)(void *info, char *buf), void *info);
+void _glp_lib_print_hook (int (*func)(void *info, char *buf), void *info)
+{ /* stolen from glpk-4.26 */
+      int (*hook)(void *, const char *) = (int(*)(void *, const char *))
+         (func);
+      glp_term_hook(hook, info);
+      return;
+}
+
+void _glp_lib_fault_hook (int (*func)(void *info, char *buf), void *info)
+{ /* stolen from glpk-4.26 */
+      assert(func == func);
+      assert(info == info);
+      return;
+}
 
 #endif
 }
diff -Nurd '-x*~' octave-3.0.5//octave-forge-comp 
octave-3.0.5.patched//octave-forge-comp
--- octave-3.0.5//octave-forge-comp     1969-12-31 19:00:00.000000000 -0500
+++ octave-3.0.5.patched//octave-forge-comp     2011-08-11 20:23:10.000000000 
-0400
@@ -0,0 +1,4 @@
+#!@FINKPREFIX@/bin/octave-@OCTVERSION@ -V
+pkg prefix bld/share/octave/@OCTVERSION@/packages 
bld/lib/octave/@OCTVERSION@/packages
+pkg global_list bld/share/octave/@OCTVERSION@/octave_packages
+pkg install -verbose -nodeps ./@PKGNAME@/
diff -Nurd '-x*~' octave-3.0.5//octave-forge-compile.sh 
octave-3.0.5.patched//octave-forge-compile.sh
--- octave-3.0.5//octave-forge-compile.sh       1969-12-31 19:00:00.000000000 
-0500
+++ octave-3.0.5.patched//octave-forge-compile.sh       2011-08-11 
20:23:10.000000000 -0400
@@ -0,0 +1,7 @@
+#!/bin/sh -ev
+cd ..
+mkdir -p bld/share/octave/@OCTVERSION@/packages 
bld/lib/octave/@OCTVERSION@/packages
+cp @FINKPREFIX@/share/octave/@OCTVERSION@/scripts/octave-forge-comp 
@FINKPREFIX@/share/octave/@OCTVERSION@/scripts/octave-forge-inst bld
+chmod a+x bld/octave-forge*
+sed -i.bak -e "s/@PKGNAME@/$1/" bld/octave-forge*
+bld/octave-forge-comp
\ No newline at end of file
diff -Nurd '-x*~' octave-3.0.5//octave-forge-inst 
octave-3.0.5.patched//octave-forge-inst
--- octave-3.0.5//octave-forge-inst     1969-12-31 19:00:00.000000000 -0500
+++ octave-3.0.5.patched//octave-forge-inst     2011-08-11 20:23:10.000000000 
-0400
@@ -0,0 +1,7 @@
+#!@FINKPREFIX@/bin/octave-@OCTVERSION@ -q
+load share/octave/@OCTVERSION@/octave_packages;
+apfx = global_packages {1}.archprefix;
+global_packages {1}.archprefix = regexprep(apfx,'.*bld','@FINKPREFIX@');
+dr = global_packages {1}.dir;
+global_packages {1}.dir = regexprep(dr,'.*bld','@FINKPREFIX@');
+save -text share/octave/@OCTVERSION@/octave_packages global_packages
diff -Nurd '-x*~' octave-3.0.5//octave-forge-install.sh 
octave-3.0.5.patched//octave-forge-install.sh
--- octave-3.0.5//octave-forge-install.sh       1969-12-31 19:00:00.000000000 
-0500
+++ octave-3.0.5.patched//octave-forge-install.sh       2011-08-11 
20:23:10.000000000 -0400
@@ -0,0 +1,5 @@
+#!/bin/sh -ev
+cd $2
+cp -r $3/../bld/{share,lib} .
+$3/../bld/octave-forge-inst
+mv share/octave/@OCTVERSION@/octave_packages 
share/octave/@OCTVERSION@/packages/$1/.
diff -Nurd '-x*~' octave-@OCTVERSION@//octave-forge-postinst 
octave-@OCTVERSION@.patched//octave-forge-postinst
--- octave-3.0.5//octave-forge-postinst 1969-12-31 19:00:00.000000000 -0500
+++ octave-3.0.5.patched//octave-forge-postinst 2011-08-11 20:23:10.000000000 
-0400
@@ -0,0 +1,6 @@
+#!@FINKPREFIX@/bin/octave-@OCTVERSION@ -q
+load @FINKPREFIX@/share/octave/@OCTVERSION@/packages/@PKGNAME@/octave_packages
+newpackage = global_packages;
+load @FINKPREFIX@/var/octave/@OCTVERSION@/octave_packages
+global_packages = {global_packages{:},newpackage{:}};
+save -text @FINKPREFIX@/var/octave/@OCTVERSION@/octave_packages global_packages
diff -Nurd '-x*~' octave-3.0.5//octave-forge-prerm 
octave-3.0.5.patched//octave-forge-prerm
--- octave-3.0.5//octave-forge-prerm    1969-12-31 19:00:00.000000000 -0500
+++ octave-3.0.5.patched//octave-forge-prerm    2011-08-11 20:23:10.000000000 
-0400
@@ -0,0 +1,9 @@
+#!@FINKPREFIX@/bin/octave-@OCTVERSION@ -q
+load @FINKPREFIX@/var/octave/@OCTVERSION@/octave_packages
+for i = 1:length(global_packages)
+  if strcmp(global_packages{i}.name,'@PKGNAME@')
+    global_packages(i) = [];
+    break
+  endif
+endfor
+save -text @FINKPREFIX@/var/octave/@OCTVERSION@/octave_packages global_packages
diff -Naur startup/octaverc.null startup/octaverc
--- startup/octaverc.null       2011-08-12 14:21:47.000000000 -0400
+++ startup/octaverc    2011-08-12 12:32:41.000000000 -0400
@@ -0,0 +1,24 @@
+## System-wide startup file for Octave.
+##
+## This file should contain any commands that should be executed each
+## time Octave starts for every user at this site.
+
+## Configure readline using the file inputrc in the Octave startup
+## directory.
+
+read_readline_init_file (sprintf ("%s%s%s",
+                                 octave_config_info ("startupfiledir"),
+                                 filesep, "inputrc"));
+
+if (strcmp (PAGER (), "less") && isempty (getenv ("LESS")))
+  PAGER_FLAGS ('-e -X -P"-- less ?pB(%pB\\%):--. (f)orward, (b)ack, (q)uit$"');
+endif
+
+## This appears here instead of in the pkg/PKG_ADD file so that --norc
+## will also skip automatic loading of packages.
+
+try 
+       pkg global_list @FINKPREFIX@/var/octave/@OCTVERSION@/octave_packages
+catch
+end_try_catch
+pkg ("load", "auto");
diff -Nurd '-x*~' octave-3.2.4/doc/interpreter/mkoctfile-3.2.4.1 
octave-3.2.4.patched/doc/interpreter/mkoctfile-3.2.4.1
--- octave-3.2.4/doc/interpreter/mkoctfile-3.2.4.1      2011-08-12 
22:01:38.000000000 -0400
+++ octave-3.2.4.patched/doc/interpreter/mkoctfile-3.2.4.1      2011-08-12 
22:18:42.000000000 -0400
@@ -19,11 +19,11 @@
 .\"
 .\" This page was contributed by Dirk Eddelbuettel <e...@debian.org>
 .\"
-.TH MKOCTFILE 1 "1 November 2002" "GNU Octave"
+.TH mkoctfile-@OCTVERSION@ 1 "1 November 2002" "GNU Octave"
 .SH NAME
-mkoctfile \- Compile dynamic-load modules for GNU Octave
+mkoctfile-@OCTVERSION@ \- Compile dynamic-load modules for GNU Octave
 .SH SYNOPSIS
-.BR mkoctfile\  [\-IDIR]\ [\-DDEF]\ [\-lLIB]\ [\-LDIR]\ [\-M|\-\-depend]\ 
+.BR mkoctfile-@OCTVERSION@\  [\-IDIR]\ [\-DDEF]\ [\-lLIB]\ [\-LDIR]\ 
[\-M|\-\-depend]\ 
 [\-c]\ [\-o FILE|\-\-output FILE]\ [\-p VAR|\-\-print VAR]\ [\-s|\-\-strip]\ 
 [\-v|\-\-verbose]\ [\-h|\-?|\-\-help]\ \fIfile\fP .\|.\|.  
 .SH DESCRIPTION
diff -Nurd '-x*~' octave-3.2.4/doc/interpreter/octave-3.2.4.1 
octave-3.2.4.patched/doc/interpreter/octave-3.2.4.1
--- octave-3.2.4/doc/interpreter/octave-3.2.4.1 2011-08-12 22:00:40.000000000 
-0400
+++ octave-3.2.4.patched/doc/interpreter/octave-3.2.4.1 2011-08-12 
22:18:40.000000000 -0400
@@ -16,19 +16,19 @@
 .\" along with Octave; see the file COPYING.  If not, see
 .\" <http://www.gnu.org/licenses/>.
 .\"
-.TH Octave 1 "Jan 8 1996"
+.TH Octave-@OCTVERSION@ 1 "Jan 8 1996"
 .SH NAME
-octave \- A high-level interactive language for numerical computations.
+octave-@OCTVERSION@ \- A high-level interactive language for numerical 
computations.
 .SH SYNOPSIS
 .nf
-octave [options]
+octave-@OCTVERSION@ [options]
 .fi
 .SH OPTIONS
-The complete set of command-line options for octave is available by
+The complete set of command-line options for octave-@OCTVERSION@ is available 
by
 running the command
 .nf
 
-    octave \-\-help
+    octave-@OCTVERSION@ \-\-help
 
 .fi
 .SH DESCRIPTION
diff -Nurd '-x*~' octave-3.2.4/doc/interpreter/octave-bug-3.2.4.1 
octave-3.2.4.patched/doc/interpreter/octave-bug-3.2.4.1
--- octave-3.2.4/doc/interpreter/octave-bug-3.2.4.1     2011-08-12 
22:01:04.000000000 -0400
+++ octave-3.2.4.patched/doc/interpreter/octave-bug-3.2.4.1     2011-08-12 
22:13:25.000000000 -0400
@@ -18,18 +18,18 @@
 .\"
 .\" This page was contributed by Dirk Eddelbuettel <e...@debian.org>
 .\" 
-.TH octave-bug 1 "6 March 2000" GNU
+.TH octave-bug-@OCTVERSION@ 1 "6 March 2000" GNU
 .SH NAME
-octave-bug \- report a bug in GNU Octave
+octave-bug-@OCTVERSION@ \- report a bug in GNU Octave
 .SH SYNOPSIS
-.B octave-bug
+.B octave-bug-@OCTVERSION@
 .RB [\| \-s
 .IR subject \|]
 .SH DESCRIPTION
-.B octave-bug
+.B octave-bug-@OCTVERSION@
 is a shell script to help the user compose and mail bug reports
 concerning Octave in a standard format.  
-.B octave-bug
+.B octave-bug-@OCTVERSION@
 is typically invoked by the Octave command
 .B bug_report
 which is intended to be called interactively from within Octave. This
@@ -37,7 +37,7 @@
 template bug report file and starts an editor on that file.  The bug report
 will be sent to the bug-octave mailing list once the editing has been
 completed (this assumes of course that your system can use email). However,
-the user could also call \fBoctave-bug\fR outside of Octave.
+the user could also call \fBoctave-bug-@OCTVERSION@\fR outside of Octave.
 .PP
 Please read the `Bugs' chapter in the Octave manual to find out how to submit
 a bug report that will enable the Octave maintainers to fix the problem.  If
@@ -50,7 +50,7 @@
 be quoted.
 .SH ENVIRONMENT VARIABLES
 .B 
-octave-bug 
+octave-bug-@OCTVERSION@ 
 uses the environment variables
 .BR USER, 
 .BR EDITOR, 
@@ -60,7 +60,7 @@
 .SH VERSION
 This document was last revised for Octave version 2.0.16.
 .SH SEE ALSO
-.BR octave (1),
+.BR octave-3.2.4 (1),
 .BR bashbug (1)     
 .SH AUTHOR
 .nf
diff -Nurd '-x*~' octave-3.2.4/doc/interpreter/octave-config-3.2.4.1 
octave-3.2.4.patched/doc/interpreter/octave-config-3.2.4.1
--- octave-3.2.4/doc/interpreter/octave-config-3.2.4.1  2011-08-12 
22:01:22.000000000 -0400
+++ octave-3.2.4.patched/doc/interpreter/octave-config-3.2.4.1  2011-08-12 
22:18:38.000000000 -0400
@@ -18,23 +18,23 @@
 .\"
 .\" This page was contributed by Dirk Eddelbuettel <e...@debian.org>.
 .\" 
-.TH OCTAVE-CONFIG 1 "19 February 2003" "GNU Octave"
+.TH OCTAVE-CONFIG-@OCTVERSION@ 1 "19 February 2003" "GNU Octave"
 .SH NAME
-octave-config - GNU Octave component and library information retrieval
+octave-config-@OCTVERSION@ - GNU Octave component and library information 
retrieval
 .SH SYNOPSIS
-.B octave-config
+.B octave-config-@OCTVERSION@
 .RI [ options ]
 .SH DESCRIPTION
 .PP
-.B octave-config
+.B octave-config-@OCTVERSION@
 is a tool to obtain directory information for 
 .I .oct
 and 
 .I .m
 files for
-.BR octave (1).
+.BR octave-@OCTVERSION@ (1).
 .SH OPTIONS
-.B octave-config
+.B octave-config-@OCTVERSION@
 accepts the following options:
 .TP 8
 .B \--m-site-dir
@@ -72,7 +72,7 @@
 .TP 8
 .B \-h|-?|--help
 Display a help page about
-.B octave-config
+.B octave-config-@OCTVERSION@
 .SH AUTHOR
 John W. Eaton <j...@bevo.che.wisc.edu>
 

--- NEW FILE: octave-3.2.4.info ---
Info2: <<
Package: octave%type_pkg[-atlas]
Type: -atlas (.), oct(3.2.4)
Version: 3.2.4
Revision: 0.0001
Maintainer: Alexander Hansen <alexkhan...@users.sourceforge.net>

# disable atlas on 10.7 distro file until atlas is available

Source: mirror:gnu:%{Ni}/%{Ni}-%v.tar.gz
Source-MD5: 90c39fa9e241ad2e978bcee4682a2ba9

BuildDepends: <<
        glpk-dev, hdf5.7, readline5, libncurses5, fftw3 (>= 3.1.1-7), libcurl4, 
        pcre, gcc46, suitesparse, qhull, fink (>= 0.28), 
fink-package-precedence, sed,
        graphicsmagick-dev, 
        (%type_raw[-atlas] = atlas) atlas
<<
Depends: %{Ni}%type_pkg[oct]%type_pkg[-atlas] (=%v-%r)
BuildConflicts: coot-dev, broken-gcc, lammpi-dev, fort77, 4ti2-dev
Suggests: %{Ni}-docs
GCC: 4.0
Conflicts: <<
        (%type_raw[-atlas] = atlas) %{Ni}, (%type_raw[-atlas] != -atlas) 
%{Ni}-atlas, 
        %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 3.0.2-5) 
        <<
Replaces: %{Ni}, %{Ni}-atlas, %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 
3.0.2-5)
UseMaxBuildJobs: true

PatchFile: %{ni}-%v.patch
PatchFile-MD5: 06b6abfbb6a9fe02d48111a2b900fd5a
PatchScript: <<
        cp doc/interpreter/%{Ni}.1 doc/interpreter/%{Ni}-%v.1
        cp doc/interpreter/%{Ni}-bug.1 doc/interpreter/%{Ni}-bug-%v.1
        cp doc/interpreter/%{Ni}-config.1 doc/interpreter/%{Ni}-config-%v.1
        cp doc/interpreter/mkoctfile.1 doc/interpreter/mkoctfile-%v.1
        %{default_script}
        sed -i -e 's|@FINKPREFIX@|%p|g' -e 's/@OCTVERSION@/%v/g'  %{Ni}-forge* 
%{Ni}rc doc/interpreter/*.1
<<

SetLDFLAGS: -Wl,-dead_strip_dylibs 
ConfigureParams: <<
        F77=%p/bin/gfortran --host=%m-apple-darwin --build=%m-apple-darwin \
        --infodir='${prefix}/share/info' --mandir='${prefix}/share/man' 
--libexecdir='${prefix}/lib' \
        --enable-shared --enable-dl --disable-static --without-mpi --with-hdf5 
--with-fftw
<<
CompileScript: <<
 #!/bin/sh -ev
 export CFLAGS='-O3'
 export CXXFLAGS='-O3'
 export FFLAGS='-O3'
 if [ "%type_pkg[-atlas]" == "" ]
        then 
a='--with-lapack=-Wl,-framework,Accelerate,-dylib_file,/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib:/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
 
--with-blas=-Wl,-framework,Accelerate,-dylib_file,/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib:/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib'
        else a='--with-lapack=%p/lib/liblapack.dylib 
--with-blas=%p/lib/libf77blas.dylib'
 fi
 FLIBDIR="%p/lib/gcc4.6/lib"
 ./configure FLIBS="${FLIBDIR}/libgfortran.dylib" %c $a
 make
 fink-package-precedence --depfile-ext='.d' 
--prohibit-bdep=%{Ni},%{Ni}-atlas,%{Ni}%type_raw[oct]-dev,%{Ni}%type_raw[oct]-atlas-dev
 src
<<
InstallScript: <<
 #!/bin/sh -ev
 export MAKEFLAGS=-j1
 make install DESTDIR=%d
 # install Fink-specific %{Ni}rc which points at our oct-versioned
 # package directory
 cp %b/%{Ni}rc %i/share/%{Ni}/%v/m/startup
 mkdir -p %i/var/%{Ni}/%v/
 # install examples
 mkdir -p %i/share/%{Ni}/%v/doc/examples
 cp -R examples %i/share/%{Ni}/%v/doc/examples
 pushd %i/bin 
 # clear out hardcoded Fink sed
 for file in mkoctfile-%v %{Ni}-bug-%v %{Ni}-config-%v 
 do
        perl -pi -e 's|%p/bin/sed|/usr/bin/sed|g' $file
 done
 popd 
 # remove TeX stuff which may have been generated:
 rm %i/share/%{Ni}/ls-R %i/lib/%{Ni}/ls-R
 # remove autogenerated freedesktop.org desktop file
 rm -f %i/share/applications/www.%{Ni}.org-%{Ni}.desktop
 mkdir -p %i/share/%{Ni}/%v/scripts
 # install the %{Ni}-forge helper scripts
 cp %{Ni}-forge* %i/share/%{Ni}/%v/scripts
 chmod a+x %i/share/%{Ni}/%v/scripts/*
<<
InfoDocs: %{Ni}.info
RuntimeVars: <<
 GNUTERM: aqua
<<
InfoTest: <<
        TestScript: make check || exit 2        
<<
DocFiles: BUGS ChangeLog README ROADMAP SENDING-PATCHES COPYING
SplitOff: <<
        Package: octave%type_pkg[oct]%type_pkg[-atlas]-shlibs
        Conflicts: << 
                (%type_raw[-atlas] = atlas) %{Ni}%type_pkg[oct]-shlibs, 
                (%type_raw[-atlas] != atlas) %{Ni}%type_pkg[oct]-atlas-shlibs, 
                (%type_raw[-atlas] = atlas) %{Ni} (<< 3.0.5-5), 
                (%type_raw[-atlas] != atlas) %{Ni}-atlas (<< 3.0.5-5), 
                %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 3.0.2-5)
        <<
        Replaces: <<
                (%type_raw[-atlas] = atlas) %{Ni}%type_pkg[oct]-shlibs, 
                (%type_raw[-atlas] != atlas) %{Ni}%type_pkg[oct]-atlas-shlibs, 
                %{Ni} (<< 3.0.5-5), %{Ni}-atlas (<< 3.0.5-5), 
                %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 3.0.2-5)
        <<      
        Depends:  fftw3-shlibs, gcc46-shlibs, hdf5.7-shlibs, readline5-shlibs,  
(%type_raw[-atlas] = -atlas) atlas-shlibs (>= 3.8.1-1)
        Files: <<
                lib/%{Ni}-%v
        <<
        Shlibs: <<
                %p/lib/%{Ni}-%v/libcruft.dylib 0.0.0 %n (>=3.0.5-5)
                %p/lib/%{Ni}-%v/lib%{Ni}.dylib 0.0.0 %n (>=3.0.5-5)
                %p/lib/%{Ni}-%v/liboctinterp.dylib 0.0.0 %n (>=3.0.5-5)
        <<
        DescDetail: <<
        This package contains shared libraries which are used by the Octave
        interpreter itself, as well as for packages that build against Octave, 
        such as the various octave-forge packages.
        <<
        DescUsage: <<
        To use mkoctfile to build dynamically loadable modules, you will need 
        to install the hdf5-oldapi and fftw3 packages, as well as 
        %{Ni}%type_pkg[oct]%type_pkg[-atlas]-dev.  
        It cannot Depend on them since they are BuildDependsOnly.

        Any package that either links to the libraries in 
%{Ni}%type_pkg[-atlas]-shlibs or 
        installs an extension should Depend on 
%{Ni}%type_pkg[oct]%type_pkg[-atlas]-shlibs and BuildDepend
        on %{Ni}%type_pkg[oct]%type_pkg[-atlas]-dev.  In addition, it will need 
to BuildDepend on
        hdf5-oldapi and fftw3.
        <<
        DocFiles: BUGS ChangeLog README ROADMAP SENDING-PATCHES COPYING
<<
SplitOff2: <<
        Package: octave%type_pkg[oct]%type_pkg[-atlas]-dev
        Depends: octave%type_pkg[oct]%type_pkg[-atlas]-shlibs (=%v-%r), 
gcc46-compiler, (%type_raw[-atlas] = atlas) atlas (>= 3.8.1-1)
        Conflicts: << 
                (%type_raw[-atlas] = atlas) %{Ni}%type_pkg[oct]-dev, 
                (%type_raw[-atlas] != atlas) %{Ni}%type_pkg[oct]-atlas-dev, 
                (%type_raw[-atlas] = atlas) %{Ni} (<< 3.0.5-5), 
                (%type_raw[-atlas] != atlas) %{Ni}-atlas (<< 3.0.5-5), 
                %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 3.0.2-5),
                %{Ni}3.0.5, %{Ni}3.0.5-atlas
        <<
        Replaces: <<
                (%type_raw[-atlas] = atlas) %{Ni}%type_pkg[oct]-dev, 
                (%type_raw[-atlas] != atlas) %{Ni}%type_pkg[oct]-atlas-dev, 
                %{Ni} (<< 3.0.5-5), %{Ni}-atlas (<< 3.0.5-5), 
                %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 3.0.2-5),
                %{Ni}3.0.5, %{Ni}3.0.5-atlas
        <<
        BuildDependsOnly: true
        Files: <<
                include/%{Ni}-%v
                bin/mkoctfile*
                bin/octave-config*
                share/man/man1/mkoctfile.1
                share/man/man1/octave-config.1
        <<
        DescDetail: <<
        This package contains files needed to build against Octave, including
        headers and the mkoctfile executable.
        <<
        DescUsage: <<
        To use mkoctfile to build dynamically loadable modules, you will need   
        to install the hdf5-oldapi and fftw3 packages, as well as 
        %{Ni}%type_pkg[oct]%type_pkg[-atlas]-dev.  
        It cannot Depend on them since they are BuildDependsOnly.

        Any package that either links to the libraries in 
%{Ni}%type_pkg[-atlas]-shlibs or 
        installs an extension should Depend on 
%{Ni}%type_pkg[oct]%type_pkg[-atlas]-shlibs and BuildDepend
        on %{Ni}%type_pkg[oct]%type_pkg[-atlas]-dev.  In addition, it will need 
to BuildDepend on
        hdf5-oldapi and fftw3.
        <<
        DocFiles: BUGS ChangeLog README ROADMAP SENDING-PATCHES COPYING
<<
Splitoff3: <<
        Package: octave%type_pkg[oct]%type_pkg[-atlas]
        Depends: <<
        %{Ni}%type_pkg[oct]%type_pkg[-atlas]-shlibs (=%v-%r),
        glpk-shlibs, gnuplot (>=4.2.0) | gnuplot-nox | gnuplot-nogtk,  
        fftw3-shlibs (>= 3.1.1-7),
        ncurses, aquaterm, libcurl4-shlibs, 
        pcre-shlibs,
        (%type_raw[-atlas] = -atlas) atlas-shlibs (>= 3.8.1-1)
        <<
        Conflicts: << 
                (%type_raw[-atlas] = atlas) %{Ni}%type_pkg[oct], 
                (%type_raw[-atlas] != atlas) %{Ni}%type_pkg[oct]-atlas, 
                (%type_raw[-atlas] = atlas) %{Ni} (<< 3.0.5-5), 
                (%type_raw[-atlas] != atlas) %{Ni}-atlas (<< 3.0.5-5), 
                %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 3.0.2-5)
        <<
        Replaces: <<
                (%type_raw[-atlas] = atlas) %{Ni}%type_pkg[oct]-dev, 
                (%type_raw[-atlas] != atlas) %{Ni}%type_pkg[oct]-atlas-dev, 
                %{Ni} (<< 3.0.5-5), %{Ni}-atlas (<< 3.0.5-5), 
                %{Ni}3.0.2 ( << 3.0.2-5), %{Ni}3.0.2-atlas ( << 3.0.2-5)
        <<
        Files: <<
                share/%{Ni}/%v
                lib/%{Ni}/%v
                bin/%{Ni}-%v
                bin/%{Ni}-bug-%v
                var/%{Ni}/%v
        <<
        DescDetail: <<
        The %{Ni}%type_pkg[oct]%type_pkg[-atlas] package contains versioned 
executables, as well as all of the 
        core functionality of the Octave interpreter.  Note that the GNU info 
file, 
        which provides the core documentation, is installed as part of the %{Ni}
    package.
    
        Octave provides a convenient command line interface for solving linear 
and 
        nonlinear problems numerically, and for performing other numerical 
        experiments using a language that is mostly compatible with Matlab.
        It may also be used as a batch-oriented language.

        Octave has extensive tools for solving common numerical linear algebra
        problems, finding the roots of nonlinear equations, integrating ordinary
        functions, manipulating polynomials, and integrating ordinary 
differential
        and differential-algebraic equations. It is easily extensible and 
        customizable via user-defined functions written in Octave's own 
language, 
        or using dynamically loaded modules written in C++, C, Fortran, 
        or other languages.
        <<
        DescUsage: <<
        By default the plotting output (via gnuplot) is directed to AquaTerm. 
        This can be overidden in your startup scripts, e.g.
 
                export GNUTERM=x11
 
        in bash
 
        or
 
                setenv GNUTERM x11
 
        in tcsh.
 
        Note:  Fink's Octave implementation modifies one of the startup files,
        %p/share/%{Ni}/%v/m/startup/octaverc,
        to initialize octave sessions to know about Fink's octave-versioned 
        install location for octave-forge packages.  If you use the '--norc' 
        or '-f' flags in your Octave script, these packages won't be visible.  
        You'll need torun the following command in your script:
 
                pkg global_list %p/var/octave/%v/octave_packages
<<
        DocFiles: BUGS ChangeLog README ROADMAP SENDING-PATCHES COPYING
<<

Description: MATLAB-like language for computations
DescDetail: <<
The %{Ni}%type_pkg[-atlas] package contains unversioned executables and an 
unversioned directory tree.  

Octave provides a convenient command line interface for solving linear and 
nonlinear problems numerically, and for performing other numerical 
experiments using a language that is mostly compatible with Matlab.
It may also be used as a batch-oriented language.

Octave has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating ordinary
functions, manipulating polynomials, and integrating ordinary differential
and differential-algebraic equations. It is easily extensible and 
customizable via user-defined functions written in Octave's own language, 
or using dynamically loaded modules written in C++, C, Fortran, 
or other languages.
<<
DescUsage: << 
To use mkoctfile to build dynamically loadable modules, you will need 
to install the hdf5-oldapi and fftw3 packages, as well as 
%{Ni}%type_pkg[oct]%type_pkg[-atlas]-dev.  
It cannot Depend on them since they are BuildDependsOnly.

Any package that either links to the libraries in 
%{Ni}%type_pkg[-atlas]-shlibs or installs an extension should Depend on
%{Ni}%type_pkg[oct]%type_pkg[-atlas]-shlibs and BuildDepend on 
%{Ni}%type_pkg[oct]%type_pkg[-atlas]-dev.  In addition, it will need to 
BuildDepend on hdf5-oldapi and fftw3.
 
By default the plotting output (via gnuplot) is directed to AquaTerm. 
This can be overidden in your startup scripts, e.g.
 
        export GNUTERM=x11
 
in bash
 
or
 
        setenv GNUTERM x11
 
in tcsh.
 
Note:  Fink's Octave implementation modifies one of the startup files,
%p/share/%{Ni}/%v/m/startup/octaverc,
to initialize octave sessions to know about Fink's octave-versioned 
install location for octave-forge packages.  If you use the '--norc' or '-f'
flags in your Octave script, these packages won't be visible.  You'll need to
run the following command in your script:
 
        pkg global_list %p/var/octave/%v/octave_packages
 
<<
DescPort: <<
 Thanks to Per Persson for most (if not all) of the work on the macos X port.
<<
DescPackaging:  <<
Set the GNUTERM environment variable to AquaTerm because autodetection
of DISPLAY seems to cause options to be fed to our gnuplot that it doesn't 
understand.
AquaTerm seems to be a sensible default, particularly since gnuplot-nox is also 
a 
legal dependency.

Not sane (and now not even compilable) to use private code
from glpk. Import the functions needed so can still use it
even when glpk stops exporting its internals. See:
        
http://octave.1599824.n4.nabble.com/GLPK-interface-was-Re-Multithreaded-Atlas-td1654632.html
 
Remove a desktop file that gets generated only for users with GNOME/KDE 
installed.

As of 3.0.5-5, we have split the package up into runtime, development, and 
library packages,
to make upgrades easier for us and for users.
        
As of 3.0.5-5:  generate common octave-forge bash and octave scripts, 
based on the ones by Johnathan Stickel in the original octave-forge-foo 
packages, in _this_ package, so that any required changes can be made in 
a common location rather than spread out over many packages.
Unfortunately, Octave's 'pkg' tool doesn't seem to know how to deal with 
variables, and the individual octave-forge  packages have to make copies
of the octave scripts during their build process and edit them to use the
package's name.
<<
Homepage: http://www.octave.org/
License: GPL
<<


------------------------------------------------------------------------------
Get a FREE DOWNLOAD! and learn more about uberSVN rich system, 
user administration capabilities and model configuration. Take 
the hassle out of deploying and managing Subversion and the 
tools developers use with it. http://p.sf.net/sfu/wandisco-d2d-2
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to